#ifndef ACCOUNTINFO_H_
#define ACCOUNTINFO_H_

// Author: Steve Talbot

#pragma once

using namespace std;

class AccountInfo  {

public:
	AccountInfo( int p_, int y_, int a_ );
	~AccountInfo();

	// getters ..
	int getPN();
	int getID();
	int getB();
	bool getIsActive();
	bool getIsOverdrawn();

	// setters ..
	void setPN( int pn_ );
	void setID( int id_ );
	void setB( int b_ );
	void setIsActive( bool isActive_ );
	void setIsOverdrawn( bool isOverdrawn_ );

private:

	int _pn;

	int _id;

	int _b;

	bool _isActive;

	bool _isOverdrawn;


};

#endif /*ACCOUNTINFO_H_*/
